<?php
/*
S-GAE (Simple Graphical Accounting Engine) is a web application developed at /rdlab to 
graphically display the accounting information generated by our HPC queue manager.

Copyright (C) +2020  rdlab@cs.upc.edu - https://rdlab.cs.upc.edu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace sgae3\Controller;

use sgae3\Service\QueueService;
use Exception;

class HomeController
{
    public function homePage()
    {
        $qs = new QueueService();
        $user_queues = $qs->getEnabledQueues();
        require $GLOBALS['app_path'] . '/views/user.phtml';
    }

    public function queuePage()
    {
        $qs = new QueueService();
        if($_SESSION['role']=='admin'){
            $user_queues = $qs->getEnabledQueues();
        } else if ($_SESSION['role']=='queue_admin'){
            $user_queues = $qs->getAdministeredQueues($_SESSION['username']);
        } else {
            require $GLOBALS['app_path'] . '/views/403.phtml';
            die();
        }     
        require $GLOBALS['app_path'] . '/views/queue.phtml';
    }

    public function clusterPage()
    { 
        if($_SESSION['role'] != 'admin'){
            require $GLOBALS['app_path'] . '/views/403.phtml';
            die();
        }
        require $GLOBALS['app_path'] . '/views/cluster.phtml';
    }

    public function yearlyPage()
    { 
        if($_SESSION['role'] != 'admin'){
            require $GLOBALS['app_path'] . '/views/403.phtml';
            die();
        }
        require $GLOBALS['app_path'] . '/views/yearly.phtml';
    }
}
?>