<?php
/*
S-GAE (Simple Graphical Accounting Engine) is a web application developed at /rdlab to 
graphically display the accounting information generated by our HPC queue manager.

Copyright (C) +2020  rdlab@cs.upc.edu - https://rdlab.cs.upc.edu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace sgae3\Repository;

use sgae3\Helper\Database;

class UserRepository extends Repository
{

    function __construct()
    {
        $this->class = "sgae3\\Entity\\User"; 
        $this->dbTable = "user";
        $this->db = new database();
    }

    public function findByUsername($username)
    {
        return $this->findBy("username", $username);
    }

    public function findByEmail($email)
    {
        return $this->findBy("mail", $email);
    }

    public function findByUsernameEncript($enc_username)
    {
        return $this->findBy("usernameEncript", $enc_username);
    }
}
