/*
S-GAE (Simple Graphical Accounting Engine) is a web application developed at /rdlab to 
graphically display the accounting information generated by our HPC queue manager.

Copyright (C) +2020  rdlab@cs.upc.edu - https://rdlab.cs.upc.edu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

$(function(){
    $("#loginButton").click(submitLogin);
})

function submitLogin(){
    $.ajax({
		method: "POST",
		url: "login",
		data: {
            username: $("#userName").val(),
			password: $("#userPassword").val()
		},
		success: function(data){
            try {
                var json = JSON.parse(data);
                if (json['status'] == "error") {
                    display_error(json['error'])
                } else {
                    window.location.replace(json['data'])
                }
            } catch (e) {
                display_error("An error has occurred")
                console.log(e)
            }
        },
		error: ajax_error
	});
}